Inventory POS - Fabric

Inventory POS

cURL

curl --request POST \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-inventory/inventory/pos \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "itemId": 1000001,
  "stockQuantity": 5,
  "channelId": 12,
  "warehouseId": "5e4b0a8cef94d00b11acc382"
}
'

Python

import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-inventory/inventory/pos"

payload = {
    "itemId": 1000001,
    "stockQuantity": 5,
    "channelId": 12,
    "warehouseId": "5e4b0a8cef94d00b11acc382"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'POST',
  headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    itemId: 1000001,
    stockQuantity: 5,
    channelId: 12,
    warehouseId: '5e4b0a8cef94d00b11acc382'
  })
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-inventory/inventory/pos', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Responses

Sample Successful Response

{
  "itemId": 1000000033,
  "inlocations": [
    {
      "location": "60ac42ecc956070008e15ea6",
      "_id": "60f5c3666a04ef0008b702f4",
      "inStock": 1000,
      "channel": [
        {
          "quantityReserved": 0,
          "_id": "60f5c3666a04ef0008b702f5",
          "channelId": 12,
          "allocation": {
            "mou": "ABSOLUTE",
            "unit": 1000
          },
          "id": "60f5c3666a04ef0008b702f5"
        }
      ],
      "inTransit": [
        {
          "_id": "60f5c3666a04ef0008b702f6",
          "inTransitRef": "WO-20000",
          "orderQuantity": 10000,
          "quantityReserved": 0,
          "orderDate": "2020-05-05T00:00:00.000Z",
          "stockDate": "2020-05-05T00:00:00.000Z",
          "id": "60f5c3666a04ef0008b702f6"
        }
      ],
      "id": "60f5c3666a04ef0008b702f4"
    }
  ],
  "sku": "SHIRT001",
  "title": "Shirt",
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z"
}

Error Response Example

{
  "code": "INVENTORY_NOT_FOUND",
  "message": "No inventory item for itemId 1 was found"
}